[CMake] require dynamic-graph >= 4.4.0

Otherwise we can't include its fwd.hh
7 jobs for pr/76 in 7 minutes (queued for 1 second)
Status Name Job ID Coverage
  Test
passed doc-coverage #126424

00:02:34

66.0%
passed format #126425

00:00:16

passed robotpkg-py-dynamic-graph-v3-18.04 #126419

00:02:37

passed robotpkg-py-dynamic-graph-v3-20.04 #126420

00:06:01

passed robotpkg-py-dynamic-graph-v3-buster #126421

00:06:59

passed robotpkg-py-dynamic-graph-v3-ferrum #126422

00:03:29

passed robotpkg-py-dynamic-graph-v3-stretch #126423

00:03:22